#
# spec file for package python-colander
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2015 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-colander
Version:        1.0
Release:        1.121
Url:            http://docs.pylonsproject.org
Summary:        Simple schema-based serialization and deserialization library
License:        BSD-4-Clause and ZPL-2.1 and MIT
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/c/colander/colander-%{version}.tar.gz
Requires:       python-translationstring
BuildRequires:  python-translationstring
Requires:       python-iso8601
BuildRequires:  python-iso8601
# Documentation requirements:
BuildRequires:  python-Sphinx
BuildRequires:  python-pylons_sphinx_theme
# Testing requirements:
BuildRequires:  python-coverage
BuildRequires:  python-nose

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
An extensible package which can be used to:

 * deserialize and validate a data structure composed of strings, mappings, and
   lists. 
 * serialize an arbitrary data structure to a data structure composed of 
   strings, mappings, and lists.

Please see http://docs.pylonsproject.org/projects/colander/en/latest/ for
further documentation.

%package doc
Summary:        Simple schema-based serialization and deserialization library
Group:          Development/Languages/Python
Requires:       %{name} = %{version}

%description doc
This package contains documentation files for %{name}.

%prep
%setup -q -n colander-%{version}

%build
python setup.py build
python setup.py build_sphinx && rm build/sphinx/html/.buildinfo

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python setup.py nosetests --with-coverage

%files
%defattr(-,root,root,-)
%doc CHANGES.rst CONTRIBUTORS.txt COPYRIGHT.txt LICENSE.txt README.rst
%{python_sitelib}/*

%files doc
%defattr(-,root,root,-)
%doc build/sphinx/html

%changelog
* Fri Feb  6 2015 hpj@urpla.net
- update to version 1.0
  to many changes to list here, check:
  https://pypi.python.org/pypi/colander/1.0
* Mon Aug  5 2013 hpj@urpla.net
- version 1.0a5: initial build
